Name:           hfsplus-tools
Version:        332.14 
Release:        %mkrel 1
Summary:        Tools to create/check Apple HFS+ filesystems

Group:          System/Base
License:        APSL 2.0
URL:            http://gentoo-wiki.com/HOWTO_hfsplus

Source0: http://darwinsource.opendarwin.org/tarballs/apsl/diskdev_cmds-%{version}.tar.gz 
Patch0:  http://www.ecl.udel.edu/~mcgee/diskdev_cmds/diskdev_cmds-%{version}.patch.bz2
Patch1:  hfsplus-tools-332.14-add-needed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

Source100:      http://www.opensource.org/licenses/apsl-2.0.txt

BuildRequires: openssl-devel 

# those tools are outdated, given the rebuilt mkfs/fsck.hfsplus in this
# package.  However, I don't want to Obsolete that package yet, as some people
# may have a valid use for it on their systems. 
Conflicts: hfsplusutils

# we want this to end up with the other mkfs.*'s, in /sbin
%define _exec_prefix /


%description
HFS+, HFS Plus, or Mac OS Extended are names for a file system developed by
Apple Computer to replace their Hierarchical File System (HFS). In addition to
being the default file system on modern Apple computers, HFS+ is one of two
formats, FAT being the other, that are supported by the iPod hard-disk based
music player. Unlike FAT, HFS+ supports UNIX style file permissions, which
makes it useful, for serving and sharing files in a secured manner. As Apple
Computer's devices and systems become increasingly ubiquitous, it becomes
important that Linux fully support this format.  This package provides tools
to create and check HFS+ filesystems under Linux.

The Linux kernel does not support writing to HFS+ journals, writing to a
hfsplus partition is recommended only after disabling journaling; however, the
kernel, as of version 2.6.16, supports case-sensitivity (also known as HFSX)
commit.


%prep
%setup -q -n hfsplus-mkfs-%{version} -n diskdev_cmds-%{version}
%patch0 -p1
%patch1 -p1 -b .add-needed

# fix CFLAGS...
sed -i -e \
    's/^CFLAGS.*/CFLAGS := $(CFLAGS) -I$(PWD)\/include -D_FILE_OFFSET_BITS=64 -DDEBUG_BUILD=0 -D LINUX=1 -D BSD=1/' \
    Makefile.lnx

# remove errant execute bits
find . -type f -name '*.[ch]' -exec chmod -c -x {} +

# make life easier on doc
cp %{SOURCE100} .


%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} -f Makefile.lnx


%install
rm -rf %{buildroot}

# the actual install...
mkdir -p %{buildroot}/%{_sbindir}
cp newfs_hfs.tproj/newfs_hfs %{buildroot}/%{_sbindir}/mkfs.hfsplus
cp fsck_hfs.tproj/fsck_hfs %{buildroot}/%{_sbindir}/fsck.hfsplus

# and install the hfs boot blob...
mkdir -p %{buildroot}%{_datadir}/misc
cp newfs_hfs.tproj/hfsbootdata.img %{buildroot}%{_datadir}/misc/hfsbootdata
chmod 0444 %{buildroot}%{_datadir}/misc/hfsbootdata

# man pages -- a mildly non-invasive name change is in order
mkdir -p %{buildroot}/%{_mandir}/man8
cat fsck_hfs.tproj/fsck_hfs.8 | sed -e 's/[F|f]sck_hfs/fsck.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/fsck.hfsplus.8
cat newfs_hfs.tproj/newfs_hfs.8 | sed -e 's/[N|n]ewfs_hfs/mkfs.hfsplus/g' \
    > %{buildroot}/%{_mandir}/man8/mkfs.hfsplus.8

# and a utility symlink...
cd %{buildroot}/%{_sbindir}
ln -s mkfs.hfsplus mkfs.hfs
ln -s fsck.hfsplus fsck.hfs
cd %{buildroot}/%{_mandir}/man8
ln -s fsck.hfsplus.8 fsck.hfs.8
ln -s mkfs.hfsplus.8 mkfs.hfs.8


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc apsl-2.0.txt
%{_sbindir}/mkfs.hfsplus
%{_sbindir}/mkfs.hfs
%{_sbindir}/fsck.hfsplus
%{_sbindir}/fsck.hfs
%{_datadir}/misc/hfsbootdata
%{_mandir}/man8/mkfs.hfsplus.8.xz
%{_mandir}/man8/mkfs.hfs.8.xz
%{_mandir}/man8/fsck.hfsplus.8.xz
%{_mandir}/man8/fsck.hfs.8.xz


%changelog
* Mon Mar 21 2011 saispo <saispo> 332.14-1.mga1
+ Revision: 75167
- Fix man
- imported package hfsplus-tools

